<?php
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "biblioteca251";

// Criar conexão
$conn = new mysqli($servername, $username, $password);

// Verificar conexão
if ($conn->connect_error) {
    die("Conexão falhou: " . $conn->connect_error);
}

$sql = "DROP DATABASE IF EXISTS $dbname";
if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center> Banco de dados antigo deletado com sucesso. SUS<br>";
} 

$sql = "CREATE DATABASE IF NOT EXISTS $dbname";
if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center>Banco de dados criado com sucesso. SUS";
} else {
    echo "<br>Erro ao criar banco de dados:  " . $conn->error;
}

// Selecionar banco de dados
$conn->select_db($dbname);

// ********************  Criar tabela Livro ***************************//
$sql = "CREATE TABLE IF NOT EXISTS livro (
    id_livro INT AUTO_INCREMENT PRIMARY KEY,
    ISBN_livro VARCHAR(50) NOT NULL,
    titulo_livro VARCHAR(50) NOT NULL ,
    ano_livro YEAR NOT NULL,
    categ_livro VARCHAR(50),
    editora_livro INT,
    autor_livro VARCHAR(200),
    qtde_livro INT
)";

if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center>Tabela livro criada com sucesso.";
} else {
    echo "Erro ao criar tabela: " . $conn->error;
}
// ********************  Criar tabela Editora  ***************************//
$sql = "CREATE TABLE IF NOT EXISTS editora (
    id_editora INT AUTO_INCREMENT PRIMARY KEY,
    nome_editora VARCHAR(100) NOT NULL ,
    pais_editora VARCHAR(100) NOT NULL 
)";

if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center>Tabela editora criada com sucesso.";
} else {
    echo "Erro ao criar tabela: " . $conn->error;
}
// ********************  Criar tabela Usuário ***************************//

$sql = "CREATE TABLE IF NOT EXISTS usuario (
    id_usuario INT AUTO_INCREMENT PRIMARY KEY,
    nome_usuario VARCHAR(50) NOT NULL UNIQUE ,
    datanasc_usuario DATE NOT NULL ,
    sexo ENUM('M','F')
)";

if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center>Tabela usuario criada com sucesso.";
} else {
    echo "Erro ao criar tabela: " . $conn->error;
}

// ********************  Criar tabela Emprestimo ***************************//
$sql = "CREATE TABLE IF NOT EXISTS emprestimo (
    id_emprestimo INT AUTO_INCREMENT PRIMARY KEY,
    livro_id INT,
    usuario_id INT,
    data_emprestimo DATE,
    data_devolucao DATE
)";

if ($conn->query($sql) === TRUE) {
    echo "<h3 align=center>Tabela emprestimo criada com sucesso.";
} else {
    echo "Erro ao criar tabela: " . $conn->error;
}

//**Chave Estrageira editora_livro criada na tabela livro  */
$sql = "ALTER TABLE livro
        ADD FOREIGN KEY(editora_livro) REFERENCES editora(id_editora)";

if ($conn->query($sql) === TRUE) {
            echo "<h3 align=center>Chave Estrangeira editora_livro criada com sucesso na tabela livro.";
        } else {
            echo "Erro ao criar tabela: " . $conn->error;
        }

//**Chave Estrageira livro_id / usuario_id tabela emprestimo */
$sql = "ALTER TABLE emprestimo
        ADD FOREIGN KEY(livro_id) REFERENCES livro(id_livro),
        ADD FOREIGN KEY(usuario_id) REFERENCES usuario(id_usuario);
        ";

if ($conn->query($sql) === TRUE) {
            echo "<h3 align=center>Chaves Estrangeiras livro_id/usuario_id criadas com sucesso na tabela emprestimo.";
        } else {
            echo "Erro ao criar tabela: " . $conn->error;
        }

 //***********Incluido Editora *************** */
$sql = "INSERT INTO editora (nome_editora,pais_editora) VALUES
        ('Novo Mundo', 'Brasil'),
        ('Editora Sextante', 'Brasil'),
        ('NovaTec Editora', 'Brasil'),
        ('MakroBooks Editor','EUA'),
        ('Beatles Editor','UK')";

       
    
 if ($conn->query($sql) === TRUE) {
        echo "<h3 align=center>Registros inseridos com sucesso tabela editora.";
    } else {
        echo "Erro ao inserir registros: " . $conn->erro;
    }

  //***********Incluido Usuário *************** */

$sql = "INSERT INTO usuario (nome_usuario,datanasc_usuario,sexo) VALUES
('Joao da Silva','2000-02-02','M'),
('Maria Tereza', '2000-04-04','F'),
('Carlos Alberto','2008-02-02','M'),
('Francine Alberto','2008-03-02','F'),
('Maria Eduarda','2010-03-05','F')";


if ($conn->query($sql) === TRUE) {
echo "<h3 align=center>Registros inseridos com sucesso tabela usuario.";
} else {
echo "Erro ao inserir registros: " . $conn->erro;
}   

/*
//***********Incluido Livros *************** */

$sql = "INSERT INTO livro(ISBN_livro,titulo_livro,ano_livro,categ_livro,editora_livro,autor_livro,qtde_livro) VALUES
('123','Mude seu Mindset',2001,'Auto Ajuda',1,'José das Couves',5),
('132','Minha Doce Vida',1999,'Romance',2,'Polyana Sonhadora',10),
('345','Programação Python',2016,'Informática',3,'Nilo Ney Coutinho',3),
('354','Meu Mundo é Roblox',2021,'Terror',4,'Peter Deadend',3)";


if ($conn->query($sql) === TRUE) {
echo "<h3 align=center>Registros inseridos com sucesso tabela livro.";
} else {
echo "Erro ao inserir registros: " . $conn->erro;
}   
?>
